/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.kernel.ws.api;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * Remote deployment Service. Handles all the SA operations.
 * @author Christophe HAMERLING - EBM WebSourcing
 */
@WebService
public interface DeploymentService {

    /**
     * Deploy a SA into the bus
     *
     * @param saId
     *            the saId of the SA in the artifact repository
     * @return
     */
    @WebMethod
    boolean deploy(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     * Undeploy a Service Assembly from its ID
     *
     * @param saId
     * @return
     * @throws PEtALSWebServiceException
     */
    @WebMethod
    boolean undeploy(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     *
     * @param
     * @return
     */
    boolean start(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     *
     * @param
     * @return
     */
    boolean stop(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     *
     * @param
     * @return
     */
    boolean shutdown(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

}
