/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.kernel.ws.api;

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * Stop or shutdown the container. 
 * <p>
 * The operations are asynchronous since the web
 * service must return before the container runtime is stopped.
 * </p>
 *
 * @author Christophe HAMERLING - EBM WebSourcing
 */
@WebService
public interface RuntimeService {

    /**
     * Stops the container
     *
     * @throws PEtALSWebServiceException
     */
    @WebMethod
    void stopContainer() throws PEtALSWebServiceException;

    /**
     * Shutdown the container
     *
     * @throws PEtALSWebServiceException
     */
    @WebMethod
    void shutdownContainer() throws PEtALSWebServiceException;

    /**
     * Are you alive?
     *
     * @return
     * @throws PEtALSWebServiceException
     */
    @WebMethod
    boolean ping() throws PEtALSWebServiceException;

}
