/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.kernel.ws.api.to;

import javax.activation.DataHandler;
import javax.xml.bind.annotation.XmlMimeType;
import javax.xml.bind.annotation.XmlType;

/**
 * This is an attachment descriptor used to handle SOAP attachments.
 * @author Christophe HAMERLING - EBM WebSourcing
 */
@XmlType
public class AttachmentDescriptor {

    /**
     * The data handler
     */
    private DataHandler dh;

    /**
     *
     */
    public AttachmentDescriptor() {
    }

    @XmlMimeType("application/octet-stream")
    public DataHandler getAttachment() {
        return dh;
    }

    public void setAttachment(DataHandler dh) {
        this.dh = dh;
    }

}
